## ladder 0.0.1

=== DESCRIPTION ===
Package: ladder
Title: Get on to the Slides
Version: 0.0.1
Authors@R: 
    person("Isaac", "Gravestock", , "isaac.gravestock@gmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-0283-2065"))
Description: Create tables from within R directly on Google Slides
    presentations.  Currently supports matrix, data.frame and 'flextable'
    objects.
License: GPL (>= 3)
URL: https://www.r-ladder.com
BugReports: https://github.com/igrave/ladder/issues
Imports: checkmate, cli, curl, flextable, gargle, httpuv, httr, rlang
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-GB
RoxygenNote: 7.3.2
Collate: 'api_choose.R' 'api_functions.R' 'api_gluestick.R'
        'api_object_request.R' 'api_objects.R' 'api_slides_auth.R'
        'api_utils.R' 'create_slides.R' 'generics.R' 'data.frame.R'
        'flextable.R' 'flextable_borders.R'
        'flextable_cell_properties.R' 'flextable_column_row_sizes.R'
        'flextable_merge.R' 'flextable_paragraph_style.R'
        'flextable_text_style.R' 'functions.R' 'gauth_token.R'
        'get_slide_ids.R' 'helpers.R' 'images.R' 'matrix.R' 'package.R'
        'run_script.R' 'thumbnail.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2025-04-29 16:45:51 UTC; Isaac
Author: Isaac Gravestock [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-0283-2065>)
Maintainer: Isaac Gravestock <isaac.gravestock@gmail.com>
Repository: CRAN
Date/Publication: 2025-05-02 09:30:01 UTC

## ladder 0.0.2

=== debian/changelog ===
ladder (0.0.2) unstable; urgency=low

  * Add a manpage and error handling
  * Closes: #659807: ITP: ladder -- Stepwise repository upgrade tool
  * Add translation support for runtime messages
  * Extend manpage content.

 -- Neil Williams <codehelp@debian.org>  Wed, 15 Feb 2012 21:43:31 +0000

ladder (0.0.1) development; urgency=low

  * Initial release.

 -- Neil Williams <neilw@toby-churchill.com>  Mon, 13 Feb 2012 08:39:34 +0000

=== debian/control ===
Source: ladder
Section: utils
Priority: optional
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Nick Bane <nick@cecomputing.co.uk>
Build-Depends: debhelper (>= 6.0.7~), po4a (>= 0.37.1)
Standards-Version: 3.9.2
Vcs-Browser: http://www.emdebian.org/trac/browser/current/host/trunk/ladder/trunk/
Vcs-Svn: http://www.emdebian.org/svn/current/host/trunk/ladder/trunk/

Package: ladder
Section: admin
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, apt, gnupg,
 libconfig-inifiles-perl, liblocale-gettext-perl, reprepro
Description: Stepwise repository upgrade tool
 Ladder creates a local repository of packages required
 to upgrade a tarball of a chroot to a new milestone or
 software release.
 .
 The repository can be signed and includes all specified
 target packages and dependencies. The repository can then
 be distributed and used to upgrade multiple devices in
 sequence without needing network access.

## ladder 0.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: ladder
 Title: Get on to the Slides
-Version: 0.0.1
+Version: 0.0.3
 Authors@R: 
     person("Isaac", "Gravestock", , "isaac.gravestock@gmail.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0003-0283-2065"))
 Description: Create tables from within R directly on Google Slides
     presentations.  Currently supports matrix, data.frame and 'flextable'
     objects.
-License: GPL (>= 3)
+License: MIT + file LICENSE
 URL: https://www.r-ladder.com
 BugReports: https://github.com/igrave/ladder/issues
 Imports: checkmate, cli, curl, flextable, gargle, httpuv, httr, rlang
@@ -26,9 +26,9 @@
         'get_slide_ids.R' 'helpers.R' 'images.R' 'matrix.R' 'package.R'
         'run_script.R' 'thumbnail.R' 'zzz.R'
 NeedsCompilation: no
-Packaged: 2025-04-29 16:45:51 UTC; Isaac
+Packaged: 2025-05-02 13:49:57 UTC; Isaac
 Author: Isaac Gravestock [aut, cre] (ORCID:
     <https://orcid.org/0000-0003-0283-2065>)
 Maintainer: Isaac Gravestock <isaac.gravestock@gmail.com>
 Repository: CRAN
-Date/Publication: 2025-05-02 09:30:01 UTC
+Date/Publication: 2025-05-02 14:30:14 UTC

## ladder 0.0.4

=== Makefile ===

DESTDIR ?=
PREFIX ?= /usr
DEST = $(DESTDIR)$(PREFIX)

all: docbuild
	$(MAKE) -C po

docbuild:
	po4a-build

install:
	$(MAKE) -C po install DESTDIR=../debian/ladder

clean:
	$(RM) *~
	$(MAKE) -C doc clean
	$(MAKE) -C po clean

# adds the POT file to the source tarball
native-dist: Makefile
	po4a-build --pot-only
	$(MAKE) -C po pot

=== doc/Makefile ===

all:

clean:
	$(RM) *~ *.tmp po4a.config
	$(RM) -r html/* *.1
	$(RM) -r ladder

=== debian/changelog ===
ladder (0.0.4) unstable; urgency=low

  * Fix gnupg usage - not a bug in reprepro after all.

 -- Neil Williams <codehelp@debian.org>  Mon, 12 Mar 2012 21:51:38 +0000

ladder (0.0.3) unstable; urgency=low

  * [INTL:de] initial German po file translation (Closes: #663225)
  * automate usage of the signing key by importing a known key
    from a known keyring location. (Closes: #660323)

 -- Neil Williams <codehelp@debian.org>  Sun, 11 Mar 2012 13:52:16 +0000

=== debian/control ===
Source: ladder
Section: utils
Priority: optional
Maintainer: Neil Williams <codehelp@debian.org>
Uploaders: Nick Bane <nick@enomem.co.uk>
Build-Depends: debhelper (>= 6.0.7~), po4a (>= 0.37.1)
Standards-Version: 3.9.3
Vcs-Browser: http://www.emdebian.org/trac/browser/current/host/trunk/ladder/trunk/
Vcs-Svn: http://www.emdebian.org/svn/current/host/trunk/ladder/trunk/

Package: ladder
Section: admin
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, apt, gnupg,
 libconfig-inifiles-perl, liblocale-gettext-perl, reprepro
Description: Stepwise repository upgrade tool
 Ladder creates a local repository of all packages required
 to upgrade a tarball of a chroot to a new milestone or
 software release. Ladder step repositories are intended to be 
 used on machines after production, rather than during development,
 providing a way to achieve secure remote upgrades.
 .
 The repository can be signed and includes all specified
 target packages and dependencies. The repository can then
 be distributed and used to cleanly upgrade multiple devices
 through the milestones, in sequence, without needing network access.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

ifneq (,$(findstring verbose,$(DEB_BUILD_OPTIONS)))
	VERBOSE="VERBOSE=1"
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) $(VERBOSE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f CMakeCache.txt
	rm -f build-stamp configure-stamp
	 [ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

# Build architecture-independent files here.
binary-indep: build install
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installdirs
	dh_install --exclude=.svn
	dh_lintian
	dh_installinit
	dh_installman
	dh_link
	dh_compress
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
